## mcmcpack 0.5

=== DESCRIPTION ===
Package: MCMCpack
Version: 0.5-2
Date: 2004-8-17
Title: Markov chain Monte Carlo (MCMC) Package
Author: Andrew D. Martin <admartin@wustl.edu>, and
  Kevin M. Quinn <kevin_quinn@harvard.edu>
Maintainer: Andrew D. Martin <admartin@wustl.edu>
Depends: R (>= 1.9.0), coda (>= 0.8-1), MASS
Description: This package contains functions for posterior
  simulation for a number of statistical models. All simulation
  is done in compiled C++ written in the Scythe Statistical
  Library Version 1.0. All models return coda mcmc objects that
  can then be summarized using the coda package.  MCMCpack
  also contains some useful utility functions, including some
  additional density functions and pseudo-random number generators
  for statistical distributions, a general purpose Metropolis
  sampling algorithm, and tools for visualization.
License: GPL version 2 or newer
URL: http://mcmcpack.wustl.edu
Packaged: Tue Aug 17 13:21:51 2004; adm

## mcmcpack 0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: MCMCpack
-Version: 0.5-2
-Date: 2004-8-17
+Version: 0.6-4
+Date: 2005-3-17
 Title: Markov chain Monte Carlo (MCMC) Package
 Author: Andrew D. Martin <admartin@wustl.edu>, and
   Kevin M. Quinn <kevin_quinn@harvard.edu>
 Maintainer: Andrew D. Martin <admartin@wustl.edu>
-Depends: R (>= 1.9.0), coda (>= 0.8-1), MASS
+Depends: R (>= 2.0.1), coda (>= 0.9-2), MASS
 Description: This package contains functions for posterior
   simulation for a number of statistical models. All simulation
   is done in compiled C++ written in the Scythe Statistical
@@ -17,4 +17,4 @@
   sampling algorithm, and tools for visualization.
 License: GPL version 2 or newer
 URL: http://mcmcpack.wustl.edu
-Packaged: Tue Aug 17 13:21:51 2004; adm
+Packaged: Thu Mar 17 09:42:26 2005; adm

## mcmcpack 0.7

=== DESCRIPTION ===
Package: MCMCpack
Version: 0.7-4
Date: 2006-9-29
Title: Markov chain Monte Carlo (MCMC) Package
Author: Andrew D. Martin <admartin@wustl.edu>, and
  Kevin M. Quinn <kevin_quinn@harvard.edu>
Maintainer: Andrew D. Martin <admartin@wustl.edu>
Depends: R (>= 2.2.0), coda (>= 0.10-3), MASS
Description: This package contains functions to perform Bayesian
  inference using posterior simulation for a number of statistical
  models. All simulation is done in compiled C++ written in the Scythe 
  Statistical Library Version 1.0. All models return coda mcmc objects
  that can then be summarized using the coda package.  MCMCpack
  also contains some useful utility functions, including some
  additional density functions and pseudo-random number generators
  for statistical distributions, a general purpose Metropolis
  sampling algorithm, and tools for visualization.
License: GPL version 2
URL: http://mcmcpack.wustl.edu
Packaged: Thu Sep 28 21:16:37 2006; adm

## mcmcpack 0.9

=== DESCRIPTION ===
Package: MCMCpack
Version: 0.9-2
Date: 2007-10-2
Title: Markov chain Monte Carlo (MCMC) Package
Author: Andrew D. Martin <admartin@wustl.edu>,
  Kevin M. Quinn <kevin_quinn@harvard.edu>,
  Jong Hee Park <jhp@uchicago.edu>
Maintainer: Andrew D. Martin <admartin@wustl.edu>
Depends: R (>= 2.5.0), coda (>= 0.11-3), MASS, stats
Description: This package contains functions to perform Bayesian
  inference using posterior simulation for a number of statistical
  models. Most simulation is done in compiled C++ written in the Scythe 
  Statistical Library Version 1.0.2. All models return coda mcmc objects
  that can then be summarized using the coda package.  MCMCpack
  also contains some useful utility functions, including some
  additional density functions and pseudo-random number generators
  for statistical distributions, a general purpose Metropolis
  sampling algorithm, and tools for visualization.
License: GPL version 2
URL: http://mcmcpack.wustl.edu
Packaged: Tue Oct  2 19:42:13 2007; adm

## mcmcpack 1.0

=== DESCRIPTION ===
Package: MCMCpack
Version: 1.0-4
Date: 2009-09-07
Title: Markov chain Monte Carlo (MCMC) Package
Author: Andrew D. Martin <admartin@wustl.edu>, Kevin M. Quinn
        <kevin_quinn@harvard.edu>, Jong Hee Park <jhp@uchicago.edu>
Maintainer: Andrew D. Martin <admartin@wustl.edu>
Depends: R (>= 2.8.0), coda (>= 0.11-3), MASS, stats
Description: This package contains functions to perform Bayesian
        inference using posterior simulation for a number of
        statistical models. Most simulation is done in compiled C++
        written in the Scythe Statistical Library Version 1.0.2. All
        models return coda mcmc objects that can then be summarized
        using the coda package.  MCMCpack also contains some useful
        utility functions, including some additional density functions
        and pseudo-random number generators for statistical
        distributions, a general purpose Metropolis sampling algorithm,
        and tools for visualization.
License: GPL-2
SystemRequirements: gcc (>= 4.0)
URL: http://mcmcpack.wustl.edu
Packaged: 2009-09-08 00:08:21 UTC; adm
Repository: CRAN
Date/Publication: 2009-09-08 05:04:49

## mcmcpack 1.0-6

=== debian/changelog ===
mcmcpack (1.0-6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 13 May 2010 02:03:43 -0500

mcmcpack (1.0-5-2) unstable; urgency=low

  * Update dependencies for VR bundle split.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 12 Apr 2010 23:44:47 -0500

mcmcpack (1.0-5-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 30 Mar 2010 20:11:33 -0500

mcmcpack (1.0-4-2) unstable; urgency=low

  * Rebuild for R >= 2.10.0.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 26 Oct 2009 00:20:55 -0500

mcmcpack (1.0-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 10 Sep 2009 00:34:49 -0500

mcmcpack (1.0-3-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 30 Jul 2009 15:01:11 -0500

mcmcpack (1.0-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 25 Jul 2009 01:25:18 -0500

mcmcpack (1.0-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 01 Jul 2009 18:31:04 -0500

mcmcpack (0.9-6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 16 Mar 2009 22:18:40 -0500

mcmcpack (0.9-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 04 Mar 2008 14:52:43 -0600

mcmcpack (0.9-3-1) unstable; urgency=low

  * New upstream release.
  * Fix FTBFS on amd64.  (Closes: #417427)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 01 Mar 2008 22:51:00 -0600

mcmcpack (0.9-2-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 07 Oct 2007 20:16:55 -0500

mcmcpack (0.9-1-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 03 Sep 2007 15:39:59 -0500

mcmcpack (0.8-2-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 10 Jul 2007 17:27:59 -0500

mcmcpack (0.8-1-1) unstable; urgency=low

  * New upstream release

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 20 Jan 2007 21:45:31 -0600

mcmcpack (0.7-4-2) unstable; urgency=low

  * Look for trunc() in -lm, to fix FTBFS on m68k (and possibly other
    platforms?).  (Closes: #389400)

 -- Chris Lawrence <lawrencc@debian.org>  Sun,  8 Oct 2006 18:21:07 -0500

mcmcpack (0.7-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  5 Oct 2006 02:12:06 -0500

mcmcpack (0.7-3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 21 Sep 2006 21:30:32 -0500

mcmcpack (0.7-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  1 Jun 2006 16:10:06 -0400

mcmcpack (0.7-1-1) unstable; urgency=low

  * New upstream release.
  * Revise description to omit discussion of "upcoming" models that don't
    seem to be upcoming; add suggestions of bayesm, eco, and mnp to fill
    in some of the gaps.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 29 Jan 2006 22:01:22 -0500

mcmcpack (0.6-6-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  8 Dec 2005 08:59:17 -0500

mcmcpack (0.6-5-2) unstable; urgency=low

  * Fix FTBFS with gcc 4.0.2-3 and later.  (Closes: #336281)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 29 Oct 2005 23:40:09 -0400

mcmcpack (0.6-5-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 30 Jun 2005 16:03:34 -0500

mcmcpack (0.6-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  2 Apr 2005 23:07:43 -0600

mcmcpack (0.6-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  3 Mar 2005 19:01:23 -0600

mcmcpack (0.5-2-4) unstable; urgency=low

  * Really fix FTBFS on autobuilders.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 11 Oct 2004 10:56:34 -0500

mcmcpack (0.5-2-3) unstable; urgency=low

  * Fix FTBFS on autobuilders.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  9 Oct 2004 21:25:59 -0500

mcmcpack (0.5-2-2) unstable; urgency=low

  * Rebuild for R 2.0.0.

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  8 Oct 2004 00:24:03 -0500

mcmcpack (0.5-2-1) unstable; urgency=low

  * New upstream release.  Kudos to Andrew, Kevin, and Pierre L'Ecuyer for
    their quick response to license issues with 0.5-1.
  * Now require r-cran-coda (>> 0.8).
  * Include HISTORY file as upstream changelog.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Aug 2004 21:38:55 -0500

mcmcpack (0.4-8-2) unstable; urgency=low

  * Update dependencies for r-recommended package split.

 -- Chris Lawrence <lawrencc@debian.org>  Mon,  3 May 2004 14:15:55 -0500

mcmcpack (0.4-8-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 17 Feb 2004 23:35:33 -0600

mcmcpack (0.4-7-1) unstable; urgency=low

  * New upstream release.
  * Update control file description for new upstream URL.

 -- Chris Lawrence <lawrencc@debian.org>  Thu,  5 Feb 2004 16:50:13 -0600

mcmcpack (0.4-6-1) unstable; urgency=low

  * New upstream release
    + Fixed a bug in rnoncenhypergeom()

 -- Chris Lawrence <lawrencc@debian.org>  Fri,  5 Dec 2003 10:33:51 -0600

mcmcpack (0.4-5-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 17 Nov 2003 13:17:39 -0600

mcmcpack (0.4-3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 13 Oct 2003 08:19:13 -0500

mcmcpack (0.4-2-1) unstable; urgency=low

  * New upstream release.
  * Revised packaging to be more compatible with new upstream versions.

 -- Chris Lawrence <lawrencc@debian.org>  Sat,  9 Aug 2003 22:44:39 -0500

mcmcpack (0.4-1-1) unstable; urgency=low



=== debian/control ===
Source: mcmcpack
Section: gnu-r
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10.0~1), r-cran-coda (>= 0.11-3), r-cran-mass
Standards-Version: 3.8.4
Homepage: http://mcmcpack.wustl.edu/

Package: r-cran-mcmcpack
Architecture: any
Depends: r-base-core (>= 2.10.0~1), ${shlibs:Depends}, r-cran-coda (>> 0.11-3), r-cran-mass, ${misc:Depends}
Suggests: r-cran-bayesm, r-cran-eco, r-cran-mnp
Description: GNU R routines for Markov chain Monte Carlo model estimation
 This is a set of routines for GNU R that implement various
 statistical and econometric models using Markov chain Monte Carlo
 (MCMC) estimation, which allows "solving" models that would otherwise
 be intractable with traditional techniques, particularly problems in
 Bayesian statistics (where one or more "priors" are used as part of
 the estimation procedure, instead of an assumption of ignorance about
 the "true" point estimates), although MCMC can also be used to solve
 frequentist statistical problems with uninformative priors.  MCMC
 techniques are also preferable over direct estimation in the presence
 of missing data.
 .
 Currently implemented are a number of ecological inference (EI)
 routines (for estimating individual-level attributes or behavior from
 aggregate data, such as electoral returns or census results), as well
 as models for traditional linear panel and cross-sectional data, some
 visualization routines for EI diagnostics, two item-response theory
 (or ideal-point estimation) models, metric, ordinal, and
 mixed-response factor analysis, and models for Gaussian (linear) and
 Poisson regression, logistic regression (or logit), and binary and
 ordinal-response probit models.
 .
 The suggested packages (r-cran-bayesm, -eco, and -mnp) contain
 additional models that may also be useful for those interested in
 this package.

=== debian/watch ===
version=2
http://cran.us.r-project.org/src/contrib/MCMCpack_(.*)\.tar\.gz

## mcmcpack 1.0-7

=== debian/changelog ===
mcmcpack (1.0-7-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 07 Jul 2010 03:47:13 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10.0~1), r-cran-coda (>= 0.11-3), r-cran-mass
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://mcmcpack.wustl.edu/
 
 Package: r-cran-mcmcpack

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package		= r-cran-mcmcpack
Rpackage	= MCMCpack

#tgz		:= $(Rpackage)_0.4-1.tar.gz
debbase		:= $(CURDIR)/debian
debtmp		:= $(debbase)/r-cran-mcmcpack
debRlib		:= $(debtmp)/usr/lib/R/site-library
debRpkg		:= $(debRlib)/$(Rpackage)
debdoc		:= $(debtmp)/usr/share/doc/$(package)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

get-orig-source: upstream
upstream:
	links http://cran.us.r-project.org/src/contrib

build: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	./cleanup
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f doc/html/function.html doc/html/packages.html
	-rm -f config.cache config.status config.log
	-rm -rf MCMCpack
	touch configure.ac && touch configure
	dh_clean

install: install-stamp

install-stamp: DH_OPTIONS=
install-stamp: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/lib/R/site-library
	#tar -zxf $(tgz)
	#/usr/bin/R CMD INSTALL -l $(debRlib) --clean MCMCpack
	/usr/bin/R CMD INSTALL -l $(debRlib) --clean $(CURDIR)
	#mv $(debRlib)/mcmcpack-* $(debRpkg)
	rm -vf $(debRlib)/R.css $(debRpkg)/COPYING $(debRpkg)/LICENSE
	touch install-stamp

# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs HISTORY
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mcmcpack 1.0-10

=== debian/changelog ===
mcmcpack (1.0-10-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 06 Mar 2011 17:16:24 -0600

mcmcpack (1.0-9-2) unstable; urgency=low

  * Use simplified debian/rules.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 05 Feb 2011 02:31:18 -0600

mcmcpack (1.0-9-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 05 Feb 2011 02:18:45 -0600

mcmcpack (1.0-8-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 15 Jan 2011 11:24:48 -0600

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10.0~1), r-cran-coda (>= 0.11-3), r-cran-mass
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10.0), r-cran-coda (>= 0.11-3), r-cran-mass, cdbs
+Standards-Version: 3.9.1
 Homepage: http://mcmcpack.wustl.edu/
 
 Package: r-cran-mcmcpack
 Architecture: any
-Depends: r-base-core (>= 2.10.0~1), ${shlibs:Depends}, r-cran-coda (>> 0.11-3), r-cran-mass, ${misc:Depends}
+Depends: r-base-core (>= 2.10.0), ${shlibs:Depends}, r-cran-coda (>> 0.11-3), r-cran-mass, ${misc:Depends}
 Suggests: r-cran-bayesm, r-cran-eco, r-cran-mnp
-Description: GNU R routines for Markov chain Monte Carlo model estimation
+Description: R routines for Markov chain Monte Carlo model estimation
  This is a set of routines for GNU R that implement various
  statistical and econometric models using Markov chain Monte Carlo
  (MCMC) estimation, which allows "solving" models that would otherwise

## mcmcpack 1.0-11

=== debian/changelog ===
mcmcpack (1.0-11-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Fri, 06 May 2011 13:16:06 -0500

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-mcmcpack package

include /usr/share/R/debian/r-cran.mk

## mcmcpack 1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Package: MCMCpack
-Version: 1.0-4
-Date: 2009-09-07
+Version: 1.1-4
+Date: 2011-9-21
 Title: Markov chain Monte Carlo (MCMC) Package
-Author: Andrew D. Martin <admartin@wustl.edu>, Kevin M. Quinn
-        <kevin_quinn@harvard.edu>, Jong Hee Park <jhp@uchicago.edu>
-Maintainer: Andrew D. Martin <admartin@wustl.edu>
-Depends: R (>= 2.8.0), coda (>= 0.11-3), MASS, stats
+Author: Andrew D. Martin, Kevin M. Quinn, and Jong Hee Park
+Maintainer: Jong Hee Park <jhp@uchicago.edu>
+Depends: R (>= 2.10.0), coda (>= 0.11-3), MASS, stats
 Description: This package contains functions to perform Bayesian
         inference using posterior simulation for a number of
         statistical models. Most simulation is done in compiled C++
@@ -19,6 +18,6 @@
 License: GPL-2
 SystemRequirements: gcc (>= 4.0)
 URL: http://mcmcpack.wustl.edu
-Packaged: 2009-09-08 00:08:21 UTC; adm
+Packaged: 2011-09-26 13:42:11 UTC; jongheepark
 Repository: CRAN
-Date/Publication: 2009-09-08 05:04:49
+Date/Publication: 2011-09-26 14:23:46

## mcmcpack 1.1-1

=== debian/changelog ===
mcmcpack (1.1-1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 23 Jul 2011 19:31:07 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10.0), r-cran-coda (>= 0.11-3), r-cran-mass, cdbs
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://mcmcpack.wustl.edu/
 
 Package: r-cran-mcmcpack

## mcmcpack 1.1-4

=== debian/changelog ===
mcmcpack (1.1-4-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 09 Oct 2011 05:29:12 -0400

## mcmcpack 1.2-3

=== debian/changelog ===
mcmcpack (1.2-3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 13 May 2012 22:20:11 -0400

mcmcpack (1.2-2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch ("this->" qualifier).
    (Closes: #667272)

 -- gregor herrmann <gregoa@debian.org>  Tue, 08 May 2012 17:06:03 +0200

mcmcpack (1.2-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 22 Mar 2012 13:52:23 -0400

mcmcpack (1.1-5-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 25 Oct 2011 22:38:29 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
 Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10.0), r-cran-coda (>= 0.11-3), r-cran-mass, cdbs
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://mcmcpack.wustl.edu/
 
 Package: r-cran-mcmcpack
 Architecture: any
-Depends: r-base-core (>= 2.10.0), ${shlibs:Depends}, r-cran-coda (>> 0.11-3), r-cran-mass, ${misc:Depends}
+Depends: r-base-core (>= 2.10.0), ${shlibs:Depends}, r-cran-coda (>> 0.11-3), r-cran-mass, ${misc:Depends}, ${R:Depends}
 Suggests: r-cran-bayesm, r-cran-eco, r-cran-mnp
 Description: R routines for Markov chain Monte Carlo model estimation
  This is a set of routines for GNU R that implement various

=== debian/rules ===
--- 
+++ 
@@ -3,3 +3,7 @@
 # debian/rules file for the Debian/GNU Linux r-cran-mcmcpack package
 
 include /usr/share/R/debian/r-cran.mk
+
+## Remove extra license file
+common-install-arch::
+	rm -vf debian/r-cran-mcmcpack/usr/lib/R/site-library/MCMCpack/LICENSE

## mcmcpack 1.3

=== DESCRIPTION ===
Package: MCMCpack
Version: 1.3-7
Date: 2016-8-17
Title: Markov Chain Monte Carlo (MCMC) Package
Author: Andrew D. Martin, Kevin M. Quinn, and Jong Hee Park
Maintainer: Jong Hee Park <jongheepark@snu.ac.kr>
Depends: R (>= 2.10.0), coda (>= 0.11-3), MASS, stats
Imports: graphics, grDevices, lattice, methods, utils, mcmc, quantreg
Description: Contains functions to perform Bayesian
        inference using posterior simulation for a number of
        statistical models. Most simulation is done in compiled C++
        written in the Scythe Statistical Library Version 1.0.3. All
        models return coda mcmc objects that can then be summarized
        using the coda package. Some useful
        utility functions such as density functions, 
	pseudo-random number generators for statistical
        distributions, a general purpose Metropolis sampling algorithm, 
        and tools for visualization are provided.
License: GPL-3
SystemRequirements: gcc (>= 4.0)
URL: http://mcmcpack.berkeley.edu
Packaged: 2016-08-18 19:26:47 UTC; kquinn
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2016-08-21 10:55:48

## mcmcpack 1.3-2

=== debian/changelog ===
mcmcpack (1.3-2-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 21 Apr 2013 22:48:07 -0400

mcmcpack (1.2-4.1-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 06 Apr 2013 20:00:04 -0400

mcmcpack (1.2-4-1) unstable; urgency=low

  * New upstream release.
  * Rebuild for R 3.0.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 03 Apr 2013 04:01:40 -0400

## mcmcpack 1.3-3

=== debian/changelog ===
mcmcpack (1.3-3-1) unstable; urgency=low

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Thu, 02 May 2013 17:05:27 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 7), r-base-dev (>= 2.10.0), r-cran-coda (>= 0.11-3), r-cran-mass, cdbs
+Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), r-cran-coda (>= 0.16), r-cran-mass, cdbs, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.3
 Homepage: http://mcmcpack.wustl.edu/
 
 Package: r-cran-mcmcpack
 Architecture: any
-Depends: r-base-core (>= 2.10.0), ${shlibs:Depends}, r-cran-coda (>> 0.11-3), r-cran-mass, ${misc:Depends}, ${R:Depends}
+Depends: ${shlibs:Depends}, r-cran-coda (>= 0.16), r-cran-mass, ${misc:Depends}, ${R:Depends}
 Suggests: r-cran-bayesm, r-cran-eco, r-cran-mnp
 Description: R routines for Markov chain Monte Carlo model estimation
  This is a set of routines for GNU R that implement various

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-mcmcpack package

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PKG_CFLAGS=$(CFLAGS)
PKG_CXXFLAGS=$(CXXFLAGS)
PKG_CPPFLAGS=$(CPPFLAGS)
PKG_FFLAGS=$(FFLAGS)

export PKG_CFLAGS PKG_CXXFLAGS PKG_CPPFLAGS PKG_FFLAGS

makeFlags="LDFLAGS=$(LDFLAGS)"

include /usr/share/R/debian/r-cran.mk

## Remove extra license file
common-install-arch::
	rm -vf debian/r-cran-mcmcpack/usr/lib/R/site-library/MCMCpack/LICENSE

clean::
	rm -vf src/Makevars

=== debian/watch ===
version=2
http://cran.r-project.org/src/contrib/MCMCpack_(.*)\.tar\.gz

## mcmcpack 1.3-6

=== debian/changelog ===
mcmcpack (1.3-6-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 16 Aug 2016 20:45:12 -0400

mcmcpack (1.3-5-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 23 Mar 2016 21:33:43 -0400

mcmcpack (1.3-4-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 01 Mar 2016 20:18:43 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), r-cran-coda (>= 0.16), r-cran-mass, cdbs, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), r-cran-coda (>= 0.16), r-cran-mass, cdbs, dpkg-dev (>= 1.16.1~), r-cran-quantreg, r-bioc-graph
+Standards-Version: 3.9.8
 Homepage: http://mcmcpack.wustl.edu/
 
 Package: r-cran-mcmcpack
 Architecture: any
-Depends: ${shlibs:Depends}, r-cran-coda (>= 0.16), r-cran-mass, ${misc:Depends}, ${R:Depends}
+Depends: ${shlibs:Depends}, r-cran-coda (>= 0.16), r-cran-mass, ${misc:Depends}, ${R:Depends}, r-cran-quantreg, r-bioc-graph
 Suggests: r-cran-bayesm, r-cran-eco, r-cran-mnp
 Description: R routines for Markov chain Monte Carlo model estimation
  This is a set of routines for GNU R that implement various

## mcmcpack 1.3-7

=== debian/changelog ===
mcmcpack (1.3-7-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lawrence <lawrencc@debian.org>  Sun, 21 Aug 2016 05:48:55 -0400

mcmcpack (1.3-6-2) unstable; urgency=medium

  * Fix missing dependency on r-cran-mcmc. (Closes: #834631)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 17 Aug 2016 17:11:33 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Chris Lawrence <lawrencc@debian.org>
-Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), r-cran-coda (>= 0.16), r-cran-mass, cdbs, dpkg-dev (>= 1.16.1~), r-cran-quantreg, r-bioc-graph
+Build-Depends: debhelper (>> 9), r-base-dev (>= 3.0), r-cran-coda (>= 0.16), r-cran-mass, cdbs, dpkg-dev (>= 1.16.1~), r-cran-quantreg, r-bioc-graph, r-cran-mcmc
 Standards-Version: 3.9.8
 Homepage: http://mcmcpack.wustl.edu/
 
 Package: r-cran-mcmcpack
 Architecture: any
-Depends: ${shlibs:Depends}, r-cran-coda (>= 0.16), r-cran-mass, ${misc:Depends}, ${R:Depends}, r-cran-quantreg, r-bioc-graph
+Depends: ${shlibs:Depends}, r-cran-coda (>= 0.16), r-cran-mass, ${misc:Depends}, ${R:Depends}, r-cran-quantreg, r-bioc-graph, r-cran-mcmc
 Suggests: r-cran-bayesm, r-cran-eco, r-cran-mnp
 Description: R routines for Markov chain Monte Carlo model estimation
  This is a set of routines for GNU R that implement various
